## org.eclipse.uml2.common.edit.command
Class ChangeCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.ChangeCommand
              org.eclipse.uml2.common.edit.command.ChangeCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

Direct Known Subclasses:
  UMLCommandAction.RefreshingChangeCommand

    public class ChangeCommand

extends org.eclipse.emf.edit.command.ChangeCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.ChangeCommand
`changeDescription, changeRecorder, notifier, notifiers`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`ChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Runnable runnable)`
`ChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Runnable runnable, java.lang.String label)`
`ChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Runnable runnable, java.lang.String label, java.lang.String description)`

Method Summary
`protected void` `doExecute()`
`org.eclipse.emf.edit.domain.EditingDomain` `getEditingDomain()`
`protected java.lang.Runnable` `getRunnable()`

Methods inherited from class org.eclipse.emf.edit.command.ChangeCommand
`canUndo, createChangeRecorder, dispose, disposeChangeRecorder, execute, getChangeDescription, getChangeRecorder, prepare, redo, setChangeDescription, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, getAffectedObjects, getDescription, getLabel, getResult, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeCommand

    public ChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                         java.lang.Runnable runnable)

### ChangeCommand

    public ChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                         java.lang.Runnable runnable,
                         java.lang.String label)

### ChangeCommand

    public ChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                         java.lang.Runnable runnable,
                         java.lang.String label,
                         java.lang.String description)

Method Detail

### getEditingDomain

    public org.eclipse.emf.edit.domain.EditingDomain getEditingDomain()

### getRunnable

    protected java.lang.Runnable getRunnable()

### doExecute

    protected void doExecute()

  Specified by:
    `doExecute` in class `org.eclipse.emf.edit.command.ChangeCommand`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.